Page MenuHomePhabricator

Revert "[TSan] #include header instead of forward declaring interceptees"
AbandonedPublic

Authored by yln on Feb 4 2020, 9:24 AM.

Details

Reviewers
hans
dmajor
Summary

The reverted change silently bumped the minimal macOS SDK required for
building the TSan runtime to SDK 10.12. Let's ensure release 10 does
not unexpectedly break builders with old SDKs and add proper minimal SDK
checking in CMake for subsequent releases.

This reverts commit 894abb46f891cba2e0ef581650f27f512a7824b4.

Fixes bug #44682.
https://bugs.llvm.org/show_bug.cgi?id=44682

Event Timeline

yln created this revision.Feb 4 2020, 9:24 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptFeb 4 2020, 9:24 AM
Herald added subscribers: llvm-commits, Restricted Project. · View Herald Transcript
dmajor added a comment.Feb 4 2020, 9:31 AM

Incidentally I wrote up this same patch and applied it locally earlier today, and our build still fails with the error below. Any ideas?

[task 2020-02-04T17:06:45.025Z] Undefined symbols for architecture x86_64:
[task 2020-02-04T17:06:45.025Z]   "_os_unfair_lock_trylock", referenced from:
[task 2020-02-04T17:06:45.025Z]       _wrap_os_unfair_lock_trylock in tsan_interceptors_mac.cpp.o
[task 2020-02-04T17:06:45.025Z]       __tsan::substitution_os_unfair_lock_trylock in tsan_interceptors_mac.cpp.o
[task 2020-02-04T17:06:45.025Z]      (maybe you meant: _wrap_os_unfair_lock_trylock)
[task 2020-02-04T17:06:45.025Z]   "_os_unfair_lock_unlock", referenced from:
[task 2020-02-04T17:06:45.025Z]       _wrap_os_unfair_lock_unlock in tsan_interceptors_mac.cpp.o
[task 2020-02-04T17:06:45.025Z]       __tsan::substitution_os_unfair_lock_unlock in tsan_interceptors_mac.cpp.o
[task 2020-02-04T17:06:45.025Z]      (maybe you meant: _wrap_os_unfair_lock_unlock)
[task 2020-02-04T17:06:45.025Z]   "_os_unfair_lock_lock", referenced from:
[task 2020-02-04T17:06:45.025Z]       _wrap_os_unfair_lock_lock in tsan_interceptors_mac.cpp.o
[task 2020-02-04T17:06:45.025Z]       __tsan::substitution_os_unfair_lock_lock in tsan_interceptors_mac.cpp.o
[task 2020-02-04T17:06:45.025Z]      (maybe you meant: _wrap_os_unfair_lock_lock, _wrap_os_unfair_lock_lock_with_options )
[task 2020-02-04T17:06:45.025Z]   "_os_unfair_lock_lock_with_options", referenced from:
[task 2020-02-04T17:06:45.025Z]       _wrap_os_unfair_lock_lock_with_options in tsan_interceptors_mac.cpp.o
[task 2020-02-04T17:06:45.025Z]       __tsan::substitution_os_unfair_lock_lock_with_options in tsan_interceptors_mac.cpp.o
[task 2020-02-04T17:06:45.025Z]      (maybe you meant: _wrap_os_unfair_lock_lock_with_options)
yln abandoned this revision.Feb 5 2020, 8:27 AM

Incidentally I wrote up this same patch and applied it locally earlier today, and our build still fails with the error below. Any ideas?

Ahh, of course, we can't intercept what isn't there. Apologies for the confusion.
New attempt: https://reviews.llvm.org/D74059